AAM integration with Analytics getting error

gokula

12-02-2019

Hello Team,

I am enabling the Server side integration for AAM to Adobe Analytics. As per the documentation on link Analytics to Audience Manager Implementation Guide 

trying to implement but getting error like below.

1689981_pastedImage_1.png

Below are the steps of my implementation for my web property,

- the code managed by Adobe with latest version 2.10.0 and the visitor ID version is 3.3.0

1689982_pastedImage_4.png

And in customize page code section, I have added the code like below

1689986_pastedImage_5.png

When I debug the application in browser with satellite staging lib, I am not able to see the correct app measurement version 

is something wrong with code ?

Anyone please help

Accepted Solutions (1)

Accepted Solutions (1)

Andrey_Osadchuk

MVP

12-02-2019

Hi gokula​,

Based on the the last screenshot, the code is not aligned with how it's described in the documentation you were referring to. Pay attention to s_doPlugins

Answers (1)

Answers (1)

gokula

13-02-2019

Hi Andrey Osadchuk​,

Thanks for your reply.

The code is completely aligned with s_doPlugins. In the above screenshot,  the last "}" on line number 265 is the closing statement of s.doPlugins function. I have used the function like below.

s.doPlugins = function(s) {

// Audience Management Initialization

    s.AudienceManagement.setup({

        "partner": "aviva",

        "containerNSID": 0,

        "uuidCookie": {

            "name":"aam_uuid",

            "days":30

         }

   });

}

Even if I tried as per the documentation below,

function s_doPlugins (s) {

    // Audience Management Initialization

     s.AudienceManagement.setup({

          "partner": "aviva",

          "containerNSID": 0,

          "uuidCookie": {

                "name":"aam_uuid",

                 "days":30

          }

     });

}

s.doPlugins = s_doPlugins; 

s.loadModule("AudienceManagement");

function AppMeasurement_Module_AudienceManagement(d) {.......}

still facing the same issue. My concern is when I am using the core AppMeasurement version 2.10.0 code managed by Adobe in library management I am able to see the error. Because for my another web property, I have the same code base and its hosted at our server where this integration works completely fine.

Not able to find the root cause. Below is the debugging screenshot.

1690677_pastedImage_86.png

1690678_pastedImage_87.png

Please help.

Thanks,

Gigazelle ParitMittal